<?php
// no direct access
defined('ABSPATH') or die();

if(!class_exists('LSDR_Footers')):

/**
 * Footers Class
 *
 * @class LSDR_Footers
 * @version	1.0.0
 */
class LSDR_Footers extends LSDR_Base
{
    /**
     * Constructor
     */
    public function __construct()
    {
        parent::__construct();
    }

    public function init()
    {
        add_action('customize_register', array($this, 'customizer'));
    }

    /**
     * @param WP_Customize_Manager $manager Theme Customizer object.
     */
    public function customizer($manager)
    {
        // Footer Type
        $manager->add_setting('listdomer_footer_type' , array(
            'default'   => 'type1',
            'transport' => 'refresh',
        ));

        $manager->add_control(new WP_Customize_Control(
            $manager,
            'listdomer_footer_type_control',
            array(
                'label' => esc_html__('Footer Type', 'listdomer'),
                'settings' => 'listdomer_footer_type',
                'section' => 'listdomer_footer',
                'description' => esc_html__('You need listdomer pro version to see all footer types.', 'listdomer'),
                'type' => 'select',
                'choices' => LSDR_Footers::all()
            )
        ));
    }

    public static function all()
    {
        $footers = array(
            'type1' => 'Type 1',
        );

        return apply_filters('lsdr_footer_types', $footers);
    }

    public static function display($type = NULL)
    {
        // Footer Type
        if(!$type)
        {
            $type = get_theme_mod('listdomer_footer_type');

            global $post;
            if($post and isset($post->ID))
            {
                $footer = get_post_meta($post->ID, 'lsdr_footer', true);
                if($footer and $footer !== 'inherit') $type = $footer;
            }
        }

        get_template_part('partials/footers/footer', $type);
    }
}

endif;