<?php
/**
 * Name: Type 3
 */
?>
<header role="banner" id="masthead" class="site-header d-flex flex-column flex-md-row site-header-type3">
    <div class="site-branding">
        <?php
        if(has_custom_logo()) echo LSDR_Theme::logo();
        else
        {
            $blogname = get_bloginfo('name');
            if(trim($blogname))
            {
                if((is_front_page() or is_home()) and !is_page()) echo '<h1><a href="'.esc_url(home_url()).'">'.esc_html($blogname).'</a></h1>';
                else echo '<a href="'.esc_url(home_url()).'">'.esc_html($blogname).'</a>';
            }
        }

        $description = get_bloginfo('description');
        if(trim($description)) echo '<div class="site-description">'.esc_html($description).'</div>';
        ?>
    </div>

    <nav class="main-navigation navbar-collapse offcanvas-collapse" role="navigation" aria-label="<?php esc_attr_e( 'Primary', 'listdomer' ); ?>" id="site-navigation" >
        <button id="main-navigation-close" class="main-navigation-close">
            <?php esc_html_e('Close', 'listdomer'); ?> <i class="fas fa-times"></i>
        </button>
        <?php
        wp_nav_menu(array(
            'theme_location' => 'menu-1',
            'menu_id'        => 'primary-menu',
        ));
        ?>
    </nav>

    <div id="header-buttons" class="header-buttons">
        <?php do_action('listdomer_header_buttons'); // phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedHooknameFound ?>

        <button id="listdomer-responsive-sidebar-menu" class="listdomer-responsive-sidebar-menu">
				<span>
					<i class="fas fa-align-right"></i>
				</span>
        </button>
    </div>
</header>